@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

.header {
  @include flex(center, center);
  position: fixed;
  top: 0;
  padding: calc(15px + 0.5625vw) calc(26px + 0.5625vw);
  max-height: 10vh;
  width: 100%;
  color: $grey-10;
  transition: 1s ease;
  z-index: 10;
  @include fontStyles($white-100, 'Manrope', 400, calc(10.5px + 0.390625vw));

  .companyLogo {
    cursor: pointer;
  }

  @media (max-width: 1024px) {
    height: 85px;
    .companyLogo {
      position: absolute;
      right: 20px;
      top: 25px;
    }
  }

  @include mobile {
    height: 65px;
    > div {
      > svg {
        width: 45vw !important;
      }
    }
  }
  .menu-bar-web {
    position: absolute;
    top: 25px;
    left: 46px;
    cursor: pointer;
    animation: fadein 1.2s;
    img {
      border-radius: 20px;
      background-size: 200% 100%;
      background-image: linear-gradient(to right, transparent 50%, #59665d 50%);
      transition: background-position 1s;
      &:hover {
        background-position: -100% 0;
      }
    }

    @media (max-width: 1024px) {
      display: none;
    }
  }
  .menu-bar-mobile {
    display: none;
    @media (max-width: 1024px) {
      display: block;
      position: absolute;
      top: 20px;
      animation: fadein 1.2s;
      left: 20px;
      cursor: pointer;

      @include tablet {
        top: 25px;
        height: 40px;
        width: 40px;

        > img {
          width: 100%;
          height: 100%;
          object-fit: cover;
        }
      }
    }
  }

  .fade-in {
    animation: fadein 1.2s;
    min-height: 100vh;
    min-height: 100dvh;
    display: flex;
    flex-direction: column;
  }

  @keyframes fadein {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }

  .navigation-menu {
    position: fixed;
    min-width: 100%;
    min-height: 100vh;
    top: 0;
    background-color: #f9f6ed;
    overflow: hidden;
    transition: all 0.5s ease-in-out;

    @media (max-width: 1024px) {
      min-height: 200vh;
      max-width: 0%;
    }

    .header-nav {
      display: flex;
      justify-content: center;
      align-items: center;
      margin-top: 2vh;

      .companyLogo {
        fill: #262e2f;
      }
      @media (max-width: 1024px) {
        margin-top: 40px;
        justify-content: space-between;
        .companyLogo {
          position: inherit;
          margin-left: 10px;
          max-width: 150px;
          fill: #51402f;
        }
      }
      @include tablet {
        .companyLogo {
          max-width: 260px;
        }
      }
    }

    .page-name {
      font-family: 'Editorial New';
      font-weight: 200;
      font-size: 44px;
      color: #262e2f;
      cursor: pointer;
      text-transform: uppercase;
      margin: 1vh;

      @include desktop {
        padding: 1rem;
      }

      @include desktop-lg {
        font-size: 50px;
        margin: 2.5vh;
      }
      @include desktop-xlg {
        font-size: 60px;
        margin: 2.5vh;
      }

      &:hover {
        font-weight: 400;
        &::before {
          content: 'The';
          font-family: 'Notera';
          font-weight: 400;
          font-size: 53px;
          letter-spacing: 0.01em;
          color: #9c7e61;
          position: relative;
          top: -30px;
          right: 10px;
          text-transform: capitalize;
        }
      }

      @media (max-width: 1024px) {
        font-size: 36px;
        margin: 10px;
        margin-top: 40px;

        @media (max-height: 950px) {
          margin-top: 10px;
        }

        > span {
          font-size: 40px;
          top: -20px;
        }
        @media (max-height: 600px) {
          font-size: 24px;
        }
      }

      @include tablet {
        width: fit-content;
        font-size: 48px;
        margin: auto;
        text-align: center;
      }
    }

    .page-name:hover {
      font-weight: 400;
      > span {
        display: inline;
      }
    }

    .background-image {
      position: absolute;
      right: 0;
      top: 0;
      max-height: 100vh;
      object-fit: contain;
      z-index: -1;

      @media (max-width: 1024px) {
        top: -0.3%;
        max-height: 200vh;
      }
      @include tablet {
        top: 0;
        max-height: 200vh;
      }
    }

    .main-content {
      display: flex;
      justify-content: space-between;
      align-items: flex-start;
      margin: 10vh 7vw;

      @media (max-width: 1024px) {
        margin: 60px 20px 0;
        align-items: unset;
      }
      @include tablet {
        display: block;
        margin-bottom: 0;
      }
    }
    .main-image {
      width: 45vw;
      height: 60vh;
      border-radius: 5px;
      position: relative;

      @media (max-width: 1024px) {
        display: none;
      }
      img {
        object-fit: cover;
      }
    }

    .second-container {
      display: flex;
      flex-direction: column;
      height: 100%;
      width: 50vw;
      align-items: center;
      & > * + * {
        margin-top: 5vh;
      }

      @include mobile {
        display: none;
      }

      @include tablet {
        margin: 0 auto;
        @media (max-height: 800px) {
          margin-top: 1rem;
        }
        margin-bottom: 0;
      }
    }

    .documents-container {
      overflow-x: auto;
      display: flex;
      flex-direction: column;
      width: 90%;
      cursor: default;
      & > * + * {
        margin-top: 1rem;
      }
      
      @include tablet {
        width: 400px;
      }
      @include mobile {
        align-self: center;
        animation: fadein 3s;
        margin: auto;
        width: 90vw;
      }

      .title {
        color: black;
        text-align: center;
        text-transform: uppercase;
        &:first-of-type {
          font-family: 'Notera';
          font-weight: 400;
          text-transform: capitalize;
          font-size: 45px;
        }
      }

      .arrow-container {
        cursor: pointer;
      }

      .single-document {
        border: 1px solid #262e2f;
        background-color: #9c7e61;
        border-radius: 10px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        height: 50px;
        width: 320px;
        padding: 0 1rem;
        & > * + * {
          margin-left: 16px;
        }

        @include tablet {
          width: 300px;
        }

        @include mobile {
          width: 250px;
        }

        .circle {
          min-width: 3rem;
          width: 3rem;
          height: 3rem;
          border-radius: 100%;
        }

        .title {
          max-width: 20ch;
          overflow: hidden;
          text-overflow: ellipsis;
          white-space: nowrap;
          color: white;
          text-align: center;
        }
        .img-container {
          width: 2rem;
          height: 1.3rem;
          margin-bottom: 12px;

          @media (max-width: 1023px) {
            margin-bottom: 6px;
          }

          img {
            width: 100%;
            height: 100%;
          }
        }
      }
    }

    .bottom-line {
      display: flex;
      flex-direction: column;
      justify-content: center;
      max-width: 2px;
      max-height: 14vh;
      margin-top: -20px;
      margin-left: 50%;
      transform: translate(-50%);
      @media (max-width: 1024px) {
        display: none;
      }
      @include desktop-xlg {
        margin-top: 20px;
        max-height: 12vh;
      }
    }
  }
  .cross {
    cursor: pointer;
    position: absolute;
    left: 40px;
    z-index: 1;

    img {
      border-radius: 100%;
      background-size: 100% 200%;
      background-image: linear-gradient(
        to top,
        rgb(175, 168, 168) 50%,
        transparent 50%
      );
      transition: background-position 1s;
      &:hover {
        background-position: 100% 100%;
      }
    }

    @media (max-width: 1024px) {
      position: static;
      margin-right: 20px;
    }
    @include tablet {
      width: 40px;
      height: 40px;

      > img {
        width: 100%;
        height: 100%;
        object-fit: cover;
      }
    }
  }
}

.reraDetails {
  position: absolute;
  right: 46px;
  text-align: right;
  font-size: 1.1rem;
  font-weight: 600;

  @include tablet-p {
    display: none;
  }

  @include mobile {
    display: none;
  }
}

.reraDetailsMobile {
  color: black;
  font-size: 1rem;
  font-weight: 600;
  text-align: center;
  margin-top: auto;
  margin-bottom: 1rem;

  @media (min-width: 1025px) {
    display: none;
  }
  .siteUrl {
    display: block;
    color: black;
  }
}

.cross-reservationForm {
  position: absolute;
  top: 1rem;
  right: 1rem;
  z-index: 3;
  cursor: pointer;

  img {
    border-radius: 100%;
    background-size: 100% 200%;
    background-image: linear-gradient(
      to top,
      rgb(175, 168, 168) 50%,
      transparent 50%
    );
    transition: background-position 1s;
    &:hover {
      background-position: 100% 100%;
    }
  }
}

.requestButton {
  position: absolute;
  right: 0;
  padding: 20px;
  cursor: pointer;
  font-size: 1.2rem;
  font-family: 'Editorial New';
  font-weight: 500;
  display: flex;
  align-items: center;
  height: 100%;
  background-color: #9c7e61;
  text-align: center;
}

.reservationCard {
  background: $cream-40;
  width: 522px;
  position: relative;
  padding: 20px;
  overflow: hidden;
  margin: auto;
  outline: none;

  @include tablet-p {
    padding: 50px;
  }

  @include mobile {
    width: 100%;
    max-width: 490px;
    padding-bottom: 50px;
  }
}

.treeSection {
  position: absolute;
  top: -5.375rem;
  right: 0;
  width: 30rem;
  height: 34rem;
  z-index: 3;

  @include mobile {
    display: none;
  }

  @include tablet-p {
    display: none;
  }

  &::before {
    position: absolute;
    top: 0;
    right: 0;
    width: 71%;
    height: 68%;
    margin: auto;
    content: '';
    background: $cream-40;
  }

  .treePrint {
    width: 100%;
    height: 100%;
    position: relative;
  }
}

.left-arrow,
.right-arrow {
  width: 30px;
  height: 30px;
}

.document-wrapper {
  padding: 0 1rem;
  text-decoration: none;
}
